Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.ref
Class RefSchemaGenerator

    java.lang.Object
      com.bea.p13n.content.document.ref.RefSchemaGenerator

public class RefSchemaGenerator
extends Object

A utility class which can generate DocumentSchemaDefs from an XML file.

This supports both the "doc-schemas" DTD and the Interwoven datacapture.cfg 4.0 DTD (except for replicants, which are ignored).

Since:
  2.0

Constructor Summary
`RefSchemaGenerator()` Deprecated.

Method Summary
`static void` | `addIWProperty(Element e, DefaultDocumentSchema schema)` Deprecated. Add a property entry to a schema from an interwoven "item" element.
`static void` | `addProperty(Element e, DefaultDocumentSchema schema)` Deprecated. Add the attribute information in the given "attribute" element (following the doc-schemas DTD) to the specified schema.
`static Parser` | `createParser()` Deprecated. Not needed.
`static DocumentBuilder` | `getDocumentBuilder()` Deprecated. Get a DocumentBuilder to use when parsing schema documents This will return at least a non-validating DocumentBuilder.
`static DocumentSchemaDef` | `getIWSchema(Element e)` Deprecated. Get a DocumentSchemaDef from a "ruleset" IW element.
`static List` | `getIWSchemas(String uri, Element root)` Deprecated. Get the list of DocumentSchemaDefs from the Interwoven datacapture DTD element.
`static DefaultDocumentSchema` | `getSchema(Element e)` Deprecated. Get a DefaultDocumentSchema from a Element following the doc-schemas DTD.
`static List` | `getSchemas(String uri)` Deprecated. Get a list of DocumentSchemaDefs from the XML at path.
`static List` | `getSchemas(String uri, Element root)` Deprecated. Get the list of DocumentSchemaDefs from the doc-schemas DTD element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RefSchemaGenerator

    public RefSchemaGenerator()

  Deprecated.

Method Detail

### getSchemas

    public static List getSchemas(String uri)
                           throws DocumentException

  Deprecated.
  Get a list of DocumentSchemaDefs from the XML at path.

  Currently, that XML must be either of the doc-schemas DTD or the Interwoven datacapture DTD. If the document structure is wrong at any point, the schema will be completely ignored.

  Parameters:
    `uri` - the URI to the xml.
  Returns:
    the list of DocumentSchemaDefs.
  Throws:
    `DocumentException` - thrown on a parsing error or invalid XML.

### getSchemas

    public static List getSchemas(String uri,
                                  Element root)
                           throws DocumentException

  Deprecated.
  Get the list of DocumentSchemaDefs from the doc-schemas DTD element.

  Parameters:
    `root` - the "doc-schemas" Element.
  Returns:
    a list of the DocumentSchemaDefs.
  Throws:
    `DocumentException` - thrown on an unrecoverable error getting the schemas.

### getSchema

    public static DefaultDocumentSchema getSchema(Element e)
                                           throws DocumentException

  Deprecated.
  Get a DefaultDocumentSchema from a Element following the doc-schemas DTD.

  Parameters:
    `e` - the "doc-schema" Element.
  Returns:
    a DefaultDocumentSchema of the schema described in the element.
  Throws:
    `DocumentException` - thrown in invalid XML.

### addProperty

    public static void addProperty(Element e,
                                   DefaultDocumentSchema schema)
                            throws DocumentException

  Deprecated.
  Add the attribute information in the given "attribute" element (following the doc-schemas DTD) to the specified schema.

  This will throw a DocumentException on any error (i.e. it will not try to do its best with what it has, but will stop on any problem).

  Parameters:
    `e` - the "attribute" element.
    `schema` - the schema to add the property info to.
  Throws:
    `DocumentException` - thrown on any invalid XML.

### getIWSchemas

    public static List getIWSchemas(String uri,
                                    Element root)
                             throws DocumentException

  Deprecated.
  Get the list of DocumentSchemaDefs from the Interwoven datacapture DTD element.

  Throws:
    `DocumentException`

### getIWSchema

    public static DocumentSchemaDef getIWSchema(Element e)
                                         throws DocumentException

  Deprecated.
  Get a DocumentSchemaDef from a "ruleset" IW element.

  Throws:
    `DocumentException`

### addIWProperty

    public static void addIWProperty(Element e,
                                     DefaultDocumentSchema schema)
                              throws DocumentException

  Deprecated.
  Add a property entry to a schema from an interwoven "item" element.

  For now, we're not going to investigate the "item" any further. This means replicants and options are ignored.

  Throws:
    `DocumentException`

### createParser

    public static Parser createParser()
                               throws DocumentException

  Deprecated. Not needed.

  Create a SAX parser for use.

  Throws:
    `DocumentException`

### getDocumentBuilder

    public static DocumentBuilder getDocumentBuilder()
                                              throws DocumentException

  Deprecated.
  Get a DocumentBuilder to use when parsing schema documents

  This will return at least a non-validating DocumentBuilder.

  Throws:
    `DocumentException` - thrown when JAXP fails (unrecoverable).

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved